Index: /palm/trunk/UTIL/inifor/src/inifor_io.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_io.f90	(revision 3865)
+++ /palm/trunk/UTIL/inifor/src/inifor_io.f90	(revision 3866)
@@ -1036,14 +1040,14 @@
 !- Section 2c: Define time dimension
 !------------------------------------------------------------------------------
-       CALL check(nf90_def_dim(ncid, "time", nt, output_file % dimid_time) )
-       CALL check(nf90_def_var(ncid, "time", NF90_FLOAT, &
-                                             output_file % dimid_time, &
-                                             output_file % dimvarid_time))
-       CALL check(nf90_put_att(ncid, output_file % dimvarid_time, "standard_name", "time"))
-       CALL check(nf90_put_att(ncid, output_file % dimvarid_time, "long_name", "time"))
-       CALL check(nf90_put_att(ncid, output_file % dimvarid_time, "units",     &
-                               "seconds since " // start_date_string // " UTC"))
-
-       CALL check(nf90_enddef(ncid))
+    CALL check(nf90_def_dim(ncid, "time", nt, output_file%dimid_time) )
+    CALL check(nf90_def_var(ncid, "time", NF90_FLOAT, &
+                                          output_file%dimid_time, &
+                                          output_file%dimvarid_time))
+    CALL check(nf90_put_att(ncid, output_file%dimvarid_time, "standard_name", "time"))
+    CALL check(nf90_put_att(ncid, output_file%dimvarid_time, "long_name", "time"))
+    CALL check(nf90_put_att(ncid, output_file%dimvarid_time, "units",     &
+                            "seconds since " // start_date_string // " UTC"))
+
+    CALL check(nf90_enddef(ncid))
 
 !
@@ -1051,25 +1055,25 @@
 !- Section 3: Write grid coordinates
 !------------------------------------------------------------------------------
-       CALL check(nf90_put_var(ncid, output_file % dimvarids_scl(1), palm_grid%x))
-       CALL check(nf90_put_var(ncid, output_file % dimvarids_scl(2), palm_grid%y))
-       CALL check(nf90_put_var(ncid, output_file % dimvarids_scl(3), palm_grid%z))
-
-       CALL check(nf90_put_var(ncid, output_file % dimvarids_vel(1), palm_grid%xu))
-       CALL check(nf90_put_var(ncid, output_file % dimvarids_vel(2), palm_grid%yv))
-       CALL check(nf90_put_var(ncid, output_file % dimvarids_vel(3), palm_grid%zw))
-
-!
-!--    TODO Read in soil depths from input file before this.
-       CALL check(nf90_put_var(ncid, output_file % dimvarids_soil(3), palm_grid%depths))
-
-!
-!--    Write time vector
-       CALL check(nf90_put_var(ncid, output_file % dimvarid_time, output_file % time))
-
-!
-!--    Close the file
-       CALL check(nf90_close(ncid))
-
-    END SUBROUTINE setup_netcdf_dimensions
+    CALL check(nf90_put_var(ncid, output_file%dimvarids_scl(1), palm_grid%x))
+    CALL check(nf90_put_var(ncid, output_file%dimvarids_scl(2), palm_grid%y))
+    CALL check(nf90_put_var(ncid, output_file%dimvarids_scl(3), palm_grid%z))
+
+    CALL check(nf90_put_var(ncid, output_file%dimvarids_vel(1), palm_grid%xu))
+    CALL check(nf90_put_var(ncid, output_file%dimvarids_vel(2), palm_grid%yv))
+    CALL check(nf90_put_var(ncid, output_file%dimvarids_vel(3), palm_grid%zw))
+
+!
+!-- TODO Read in soil depths from input file before this.
+    CALL check(nf90_put_var(ncid, output_file%dimvarids_soil(3), palm_grid%depths))
+
+!
+!-- Write time vector
+    CALL check(nf90_put_var(ncid, output_file%dimvarid_time, output_file%time))
+
+!
+!-- Close the file
+    CALL check(nf90_close(ncid))
+
+ END SUBROUTINE setup_netcdf_dimensions
 
 
@@ -1079,44 +1083,44 @@
 !> Defines the netCDF variables to be written to the dynamic driver file
 !------------------------------------------------------------------------------!
-    SUBROUTINE setup_netcdf_variables(filename, output_variable_table)
-
-       CHARACTER (LEN=*), INTENT(IN)        ::  filename
-       TYPE(nc_var), INTENT(INOUT), TARGET  ::  output_variable_table(:)
-
-       TYPE(nc_var), POINTER                ::  var
-       INTEGER                              ::  i, ncid
-       LOGICAL                              ::  to_be_written
-
-       message = "Defining variables in dynamic driver '" // TRIM(filename) // "'."
-       CALL report('setup_netcdf_variables', message)
-
-       CALL check(nf90_open(TRIM(filename), NF90_WRITE, ncid))
-       CALL check(nf90_redef(ncid))
-
-       DO i = 1, SIZE(output_variable_table)
-
-          var => output_variable_table(i)
-
-          !to_be_written = ( var % to_be_processed  .AND. .NOT. var % is_internal) .OR. &
-          !                ( var % is_internal  .AND.  debug )
-          to_be_written = ( var % to_be_processed  .AND. .NOT. var % is_internal)
-
-          IF ( to_be_written )  THEN
-             message = "  variable #" // TRIM(str(i)) // " '" // TRIM(var%name) // "'."
-             CALL report('setup_netcdf_variables', message)
-
-             CALL netcdf_define_variable(var, ncid)
-             CALL netcdf_get_dimensions(var, ncid)
-          ENDIF
-           
-       ENDDO
-
-       CALL check(nf90_enddef(ncid))
-       CALL check(nf90_close(ncid))
-
-       message = "Dynamic driver '" // TRIM(filename) // "' initialized successfully."
-       CALL report('setup_netcdf_variables', message)
-
-    END SUBROUTINE setup_netcdf_variables
+ SUBROUTINE setup_netcdf_variables(filename, output_variable_table)
+
+    CHARACTER (LEN=*), INTENT(IN)        ::  filename
+    TYPE(nc_var), INTENT(INOUT), TARGET  ::  output_variable_table(:)
+
+    TYPE(nc_var), POINTER                ::  var
+    INTEGER                              ::  i, ncid
+    LOGICAL                              ::  to_be_written
+
+    message = "Defining variables in dynamic driver '" // TRIM(filename) // "'."
+    CALL report('setup_netcdf_variables', message)
+
+    CALL check(nf90_open(TRIM(filename), NF90_WRITE, ncid))
+    CALL check(nf90_redef(ncid))
+
+    DO  i = 1, SIZE(output_variable_table)
+
+       var => output_variable_table(i)
+
+       !to_be_written = ( var%to_be_processed  .AND. .NOT. var%is_internal) .OR. &
+       !                ( var%is_internal  .AND.  debug )
+       to_be_written = ( var%to_be_processed  .AND. .NOT. var%is_internal)
+
+       IF ( to_be_written )  THEN
+          message = "  variable #" // TRIM(str(i)) // " '" // TRIM(var%name) // "'."
+          CALL report('setup_netcdf_variables', message)
+
+          CALL netcdf_define_variable(var, ncid)
+          CALL netcdf_get_dimensions(var, ncid)
+       ENDIF
+        
+    ENDDO
+
+    CALL check(nf90_enddef(ncid))
+    CALL check(nf90_close(ncid))
+
+    message = "Dynamic driver '" // TRIM(filename) // "' initialized successfully."
+    CALL report('setup_netcdf_variables', message)
+
+ END SUBROUTINE setup_netcdf_variables
 
 
@@ -1134,17 +1138,17 @@
 !> record netCDF IDs in the 'in_var_list()' member variable.
 !------------------------------------------------------------------------------!
-    SUBROUTINE read_input_variables(group, iter, buffer)
-       TYPE(io_group), INTENT(INOUT), TARGET       ::  group
-       INTEGER, INTENT(IN)                         ::  iter
-       TYPE(container), ALLOCATABLE, INTENT(INOUT) ::  buffer(:)
-       INTEGER                                     ::  hour, buf_id
-       TYPE(nc_var), POINTER                       ::  input_var
-       CHARACTER(LEN=PATH), POINTER                ::  input_file
-       INTEGER                                     ::  ivar, nbuffers
-
-       message = "Reading data for I/O group '" // TRIM(group % in_var_list(1) % name) // "'."
-       CALL report('read_input_variables', message)
-
-       input_file => group % in_files(iter)
+ SUBROUTINE read_input_variables(group, iter, buffer)
+    TYPE(io_group), INTENT(INOUT), TARGET       ::  group
+    INTEGER, INTENT(IN)                         ::  iter
+    TYPE(container), ALLOCATABLE, INTENT(INOUT) ::  buffer(:)
+    INTEGER                                     ::  hour, buf_id
+    TYPE(nc_var), POINTER                       ::  input_var
+    CHARACTER(LEN=PATH), POINTER                ::  input_file
+    INTEGER                                     ::  ivar, nbuffers
+
+    message = "Reading data for I/O group '" // TRIM(group%in_var_list(1)%name) // "'."
+    CALL report('read_input_variables', message)
+
+    input_file => group%in_files(iter)
 
 !
@@ -1153,77 +1157,77 @@
 !------------------------------------------------------------------------------
 !
-!--    radiation budgets, precipitation
-       IF (group % kind == 'running average' .OR.                              &
-           group % kind == 'accumulated')  THEN
-
-          IF (SIZE(group % in_var_list) .GT. 1 ) THEN
-             message = "I/O groups may not contain more than one " // & 
-                       "accumulated variable. Group '" // TRIM(group % kind) //&
-                       "' contains " //                                        &
-                       TRIM( str(SIZE(group % in_var_list)) ) // "."
-             CALL inifor_abort('read_input_variables | accumulation', message)
+!-- radiation budgets, precipitation
+    IF (group%kind == 'running average' .OR.                              &
+        group%kind == 'accumulated')  THEN
+
+       IF (SIZE(group%in_var_list) .GT. 1 ) THEN
+          message = "I/O groups may not contain more than one " // & 
+                    "accumulated variable. Group '" // TRIM(group%kind) //&
+                    "' contains " //                                        &
+                    TRIM( str(SIZE(group%in_var_list)) ) // "."
+          CALL inifor_abort('read_input_variables | accumulation', message)
+       ENDIF
+
+!
+!--    use two buffer arrays
+       nbuffers = 2
+       IF ( .NOT. ALLOCATED( buffer ) )  ALLOCATE( buffer(nbuffers) )
+
+!
+!--    hour of the day
+       hour = iter - 1
+!
+!--    chose correct buffer array
+       buf_id = select_buffer(hour)
+
+       CALL log_runtime('time', 'read')
+       IF ( ALLOCATED(buffer(buf_id)%array) )  DEALLOCATE(buffer(buf_id)%array)
+       CALL log_runtime('time', 'alloc')
+
+       input_var => group%in_var_list(1)
+       CALL get_netcdf_variable(input_file, input_var, buffer(buf_id)%array)
+       CALL report('read_input_variables', "Read accumulated " // TRIM(group%in_var_list(1)%name)) 
+
+       IF ( input_var%is_upside_down )  CALL reverse(buffer(buf_id)%array)
+       CALL log_runtime('time', 'comp')
+          
+!------------------------------------------------------------------------------
+!- Section 2: Load input buffers for normal I/O groups
+!------------------------------------------------------------------------------
+    ELSE
+
+!
+!--    Allocate one input buffer per input_variable. If more quantities
+!--    have to be computed than input variables exist in this group,
+!--    allocate more buffers. For instance, in the thermodynamics group,
+!--    there are three input variabels (PP, T, Qv) and four quantities
+!--    necessart (P, Theta, Rho, qv) for the corresponding output fields
+!--    (p0, Theta, qv, ug, and vg)
+       nbuffers = MAX( group%n_inputs, group%n_output_quantities )
+       ALLOCATE( buffer(nbuffers) )
+       CALL log_runtime('time', 'alloc')
+       
+!
+!--    Read in all input variables, leave extra buffers-if any-untouched.
+       DO  ivar = 1, group%n_inputs
+
+          input_var => group%in_var_list(ivar)
+
+!
+!         Check wheather P or PP is present in input file
+          IF (input_var%name == 'P')  THEN
+             input_var%name = TRIM( get_pressure_varname(input_file) )
+          CALL log_runtime('time', 'read')
           ENDIF
 
-!
-!--       use two buffer arrays
-          nbuffers = 2
-          IF ( .NOT. ALLOCATED( buffer ) )  ALLOCATE( buffer(nbuffers) )
-
-!
-!--       hour of the day
-          hour = iter - 1
-!
-!--       chose correct buffer array
-          buf_id = select_buffer(hour)
-
- CALL run_control('time', 'read')
-          IF ( ALLOCATED(buffer(buf_id) % array) )  DEALLOCATE(buffer(buf_id) % array)
- CALL run_control('time', 'alloc')
-
-          input_var => group % in_var_list(1)
-          CALL get_netcdf_variable(input_file, input_var, buffer(buf_id) % array)
-          CALL report('read_input_variables', "Read accumulated " // TRIM(group % in_var_list(1) % name)) 
-
-          IF ( input_var % is_upside_down )  CALL reverse(buffer(buf_id) % array)
- CALL run_control('time', 'comp')
-          
-!------------------------------------------------------------------------------
-!- Section 2: Load input buffers for normal I/O groups
-!------------------------------------------------------------------------------
-       ELSE
-
-!
-!--       Allocate one input buffer per input_variable. If more quantities
-!--       have to be computed than input variables exist in this group,
-!--       allocate more buffers. For instance, in the thermodynamics group,
-!--       there are three input variabels (PP, T, Qv) and four quantities
-!--       necessart (P, Theta, Rho, qv) for the corresponding output fields
-!--       (p0, Theta, qv, ug, and vg)
-          nbuffers = MAX( group % n_inputs, group % n_output_quantities )
-          ALLOCATE( buffer(nbuffers) )
- CALL run_control('time', 'alloc')
-          
-!
-!--       Read in all input variables, leave extra buffers-if any-untouched.
-          DO ivar = 1, group % n_inputs
-
-             input_var => group % in_var_list(ivar)
-
-!
-!            Check wheather P or PP is present in input file
-             IF (input_var % name == 'P')  THEN
-                input_var % name = TRIM( get_pressure_varname(input_file) )
- CALL run_control('time', 'read')
-             ENDIF
-
-             CALL get_netcdf_variable(input_file, input_var, buffer(ivar) % array)
-
-             IF ( input_var % is_upside_down )  CALL reverse(buffer(ivar) % array)
- CALL run_control('time', 'comp')
-
-          ENDDO
-       ENDIF
-
-    END SUBROUTINE read_input_variables
+          CALL get_netcdf_variable(input_file, input_var, buffer(ivar)%array)
+
+          IF ( input_var%is_upside_down )  CALL reverse(buffer(ivar)%array)
+          CALL log_runtime('time', 'comp')
+
+       ENDDO
+    ENDIF
+
+ END SUBROUTINE read_input_variables
 
 
@@ -1234,12 +1238,12 @@
 !> depending on the current hour.
 !------------------------------------------------------------------------------!
-    INTEGER FUNCTION select_buffer(hour)
-       INTEGER, INTENT(IN) ::  hour
-       INTEGER             ::  step
-
-       select_buffer = 0
-       step = MODULO(hour, 3) + 1
-
-       SELECT CASE(step)
+ INTEGER FUNCTION select_buffer(hour)
+    INTEGER, INTENT(IN) ::  hour
+    INTEGER             ::  step
+
+    select_buffer = 0
+    step = MODULO(hour, 3) + 1
+
+    SELECT CASE(step)
        CASE(1, 3)
            select_buffer = 1
@@ -1249,6 +1253,6 @@
            message = "Invalid step '" // TRIM(str(step))
            CALL inifor_abort('select_buffer', message)
-       END SELECT
-    END FUNCTION select_buffer
+    END SELECT
+ END FUNCTION select_buffer
 
 
@@ -1259,57 +1263,57 @@
 !> perturbation, 'PP', and returns the appropriate string.
 !------------------------------------------------------------------------------!
-    CHARACTER(LEN=2) FUNCTION get_pressure_varname(input_file) RESULT(var)
-       CHARACTER(LEN=*) ::  input_file
-       INTEGER          ::  ncid, varid
-
-       CALL check(nf90_open( TRIM(input_file), NF90_NOWRITE, ncid ))
-       IF ( nf90_inq_varid( ncid, 'P', varid ) .EQ. NF90_NOERR )  THEN
-
-          var = 'P'
-
-       ELSE IF ( nf90_inq_varid( ncid, 'PP', varid ) .EQ. NF90_NOERR )  THEN
-
-          var = 'PP'
-          CALL report('get_pressure_var', 'Using PP instead of P')
-
-       ELSE
-
-          message = "Failed to read '" // TRIM(var) // &
-                    "' from file '" // TRIM(input_file) // "'."
-          CALL inifor_abort('get_pressure_var', message)
-
-       ENDIF
-
+ CHARACTER(LEN=2) FUNCTION get_pressure_varname(input_file) RESULT(var)
+    CHARACTER(LEN=*) ::  input_file
+    INTEGER          ::  ncid, varid
+
+    CALL check(nf90_open( TRIM(input_file), NF90_NOWRITE, ncid ))
+    IF ( nf90_inq_varid( ncid, 'P', varid ) .EQ. NF90_NOERR )  THEN
+
+       var = 'P'
+
+    ELSE IF ( nf90_inq_varid( ncid, 'PP', varid ) .EQ. NF90_NOERR )  THEN
+
+       var = 'PP'
+       CALL report('get_pressure_var', 'Using PP instead of P')
+
+    ELSE
+
+       message = "Failed to read '" // TRIM(var) // &
+                 "' from file '" // TRIM(input_file) // "'."
+       CALL inifor_abort('get_pressure_var', message)
+
+    ENDIF
+
+    CALL check(nf90_close(ncid))
+
+ END FUNCTION get_pressure_varname
+
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Read the given global attribute form the given netCDF file.
+!------------------------------------------------------------------------------!
+ FUNCTION get_netcdf_attribute(filename, attribute) RESULT(attribute_value)
+
+    CHARACTER(LEN=*), INTENT(IN) ::  filename, attribute
+    REAL(wp)                     ::  attribute_value
+
+    INTEGER                      ::  ncid
+
+    IF ( nf90_open( TRIM(filename), NF90_NOWRITE, ncid ) == NF90_NOERR )  THEN
+
+       CALL check(nf90_get_att(ncid, NF90_GLOBAL, TRIM(attribute), attribute_value))
        CALL check(nf90_close(ncid))
 
-    END FUNCTION get_pressure_varname
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Read the given global attribute form the given netCDF file.
-!------------------------------------------------------------------------------!
-    FUNCTION get_netcdf_attribute(filename, attribute) RESULT(attribute_value)
-
-       CHARACTER(LEN=*), INTENT(IN) ::  filename, attribute
-       REAL(dp)                     ::  attribute_value
-
-       INTEGER                      ::  ncid
-
-       IF ( nf90_open( TRIM(filename), NF90_NOWRITE, ncid ) == NF90_NOERR )  THEN
-
-          CALL check(nf90_get_att(ncid, NF90_GLOBAL, TRIM(attribute), attribute_value))
-          CALL check(nf90_close(ncid))
-
-       ELSE
-
-          message = "Failed to read '" // TRIM(attribute) // &
-                    "' from file '" // TRIM(filename) // "'."
-          CALL inifor_abort('get_netcdf_attribute', message)
-
-       ENDIF
-
-    END FUNCTION get_netcdf_attribute
+    ELSE
+
+       message = "Failed to read '" // TRIM(attribute) // &
+                 "' from file '" // TRIM(filename) // "'."
+       CALL inifor_abort('get_netcdf_attribute', message)
+
+    ENDIF
+
+ END FUNCTION get_netcdf_attribute
 
 
@@ -1319,28 +1323,28 @@
 !> Read the attribute of the given variable form the given netCDF file.
 !------------------------------------------------------------------------------!
-    FUNCTION get_netcdf_variable_attribute(filename, varname, attribute)       &
-       RESULT(attribute_value)
-
-       CHARACTER(LEN=*), INTENT(IN) ::  filename, varname, attribute
-       REAL(dp)                     ::  attribute_value
-
-       INTEGER                      ::  ncid, varid
-
-       IF ( nf90_open( TRIM(filename), NF90_NOWRITE, ncid ) == NF90_NOERR )  THEN
-
-          CALL check( nf90_inq_varid( ncid, TRIM( varname ), varid ) )
-          CALL check( nf90_get_att( ncid, varid, TRIM( attribute ),            &
-                      attribute_value ) )
-          CALL check( nf90_close( ncid ) )
-
-       ELSE
-
-          message = "Failed to read '" // TRIM( varname ) // ":" //            &
-                    TRIM( attribute ) // "' from file '" // TRIM(filename) // "'."
-          CALL inifor_abort('get_netcdf_variable_attribute', message)
-
-       ENDIF
-
-    END FUNCTION get_netcdf_variable_attribute
+ FUNCTION get_netcdf_variable_attribute(filename, varname, attribute)       &
+    RESULT(attribute_value)
+
+    CHARACTER(LEN=*), INTENT(IN) ::  filename, varname, attribute
+    REAL(wp)                     ::  attribute_value
+
+    INTEGER                      ::  ncid, varid
+
+    IF ( nf90_open( TRIM(filename), NF90_NOWRITE, ncid ) == NF90_NOERR )  THEN
+
+       CALL check( nf90_inq_varid( ncid, TRIM( varname ), varid ) )
+       CALL check( nf90_get_att( ncid, varid, TRIM( attribute ),            &
+                   attribute_value ) )
+       CALL check( nf90_close( ncid ) )
+
+    ELSE
+
+       message = "Failed to read '" // TRIM( varname ) // ":" //            &
+                 TRIM( attribute ) // "' from file '" // TRIM(filename) // "'."
+       CALL inifor_abort('get_netcdf_variable_attribute', message)
+
+    ENDIF
+
+ END FUNCTION get_netcdf_variable_attribute
 
 !------------------------------------------------------------------------------!
@@ -1350,32 +1354,32 @@
 !> variable at the current time step.
 !------------------------------------------------------------------------------!
-    SUBROUTINE update_output(var, array, iter, output_file, cfg)
-       TYPE(nc_var), INTENT(IN)  ::  var
-       REAL(dp), INTENT(IN)      ::  array(:,:,:)
-       INTEGER, INTENT(IN)       ::  iter
-       TYPE(nc_file), INTENT(IN) ::  output_file
-       TYPE(inifor_config)       ::  cfg
-
-       INTEGER ::  ncid, ndim, start(4), count(4)
-       LOGICAL ::  var_is_time_dependent
-
-       var_is_time_dependent = (                                               &
-          var % dimids( var % ndim ) == output_file % dimid_time               &
-       )
-
-!
-!--    Skip time dimension for output
-       ndim = var % ndim
-       IF ( var_is_time_dependent )  ndim = var % ndim - 1
-
-       start(:)      = (/1,1,1,1/)
-       start(ndim+1) = iter
-       count(1:ndim) = var%dimlen(1:ndim)
-
-       CALL check(nf90_open(output_file % name, NF90_WRITE, ncid))
-
-!
-!--    Reduce dimension of output array according to variable kind
-       SELECT CASE (TRIM(var % kind))
+ SUBROUTINE update_output(var, array, iter, output_file, cfg)
+    TYPE(nc_var), INTENT(IN)  ::  var
+    REAL(wp), INTENT(IN)      ::  array(:,:,:)
+    INTEGER, INTENT(IN)       ::  iter
+    TYPE(nc_file), INTENT(IN) ::  output_file
+    TYPE(inifor_config)       ::  cfg
+
+    INTEGER ::  ncid, ndim, start(4), count(4)
+    LOGICAL ::  var_is_time_dependent
+
+    var_is_time_dependent = (                                               &
+       var%dimids( var%ndim ) == output_file%dimid_time               &
+    )
+
+!
+!-- Skip time dimension for output
+    ndim = var%ndim
+    IF ( var_is_time_dependent )  ndim = var%ndim - 1
+
+    start(:)      = (/1,1,1,1/)
+    start(ndim+1) = iter
+    count(1:ndim) = var%dimlen(1:ndim)
+
+    CALL check(nf90_open(output_file%name, NF90_WRITE, ncid))
+
+!
+!-- Reduce dimension of output array according to variable kind
+    SELECT CASE (TRIM(var%kind))
        
        CASE ( 'init scalar profile', 'init u profile', 'init v profile',       &
@@ -1395,7 +1399,7 @@
           
 
-          IF (.NOT. SIZE(array, 2) .EQ. var % dimlen(1))  THEN
+          IF (.NOT. SIZE(array, 2) .EQ. var%dimlen(1))  THEN
              PRINT *, "inifor: update_output: Dimension ", 1, " of variable ", &
-                 TRIM(var % name), " (", var % dimlen(1),                      &
+                 TRIM(var%name), " (", var%dimlen(1),                      &
                  ") does not match the dimension of the output array (",       &
                  SIZE(array, 2), ")."
@@ -1448,5 +1452,5 @@
        CASE ( 'internal profile' )
 
-          IF ( cfg % debug )  THEN
+          IF ( cfg%debug )  THEN
              CALL check(nf90_put_var( ncid, var%varid, array(1,1,:),           &
                                       start=start(1:ndim+1),                   &
@@ -1461,13 +1465,13 @@
        CASE DEFAULT
 
-           message = "Variable kind '" // TRIM(var % kind) //                  &
+           message = "Variable kind '" // TRIM(var%kind) //                  &
                     "' not recognized."
            CALL inifor_abort('update_output', message)
 
-       END SELECT
-
-       CALL check(nf90_close(ncid))
-
-    END SUBROUTINE update_output
+    END SELECT
+
+    CALL check(nf90_close(ncid))
+
+ END SUBROUTINE update_output
 
 
@@ -1477,15 +1481,15 @@
 !> Checks the status of a netCDF API call and aborts if an error occured
 !------------------------------------------------------------------------------!
-    SUBROUTINE check(status)
-
-       INTEGER, INTENT(IN) ::  status
-
-       IF (status /= nf90_noerr)  THEN
-          message = "NetCDF API call failed with error: " //                     &
-                    TRIM( nf90_strerror(status) )
-          CALL inifor_abort('io.check', message)
-       ENDIF
-
-    END SUBROUTINE check
+ SUBROUTINE check(status)
+
+    INTEGER, INTENT(IN) ::  status
+
+    IF (status /= nf90_noerr)  THEN
+       message = "NetCDF API call failed with error: " //                     &
+                 TRIM( nf90_strerror(status) )
+       CALL inifor_abort('io.check', message)
+    ENDIF
+
+ END SUBROUTINE check
 
  END MODULE inifor_io
